/* #define is a way to simplify and document your code.
By using LED_PIN instead of 7, we reduce repetition, as
we only have to use the number 7 once. If you want to change the LED pin to 8,
just change this line to #define LED_PIN 8

Also, LED_PIN gives you (the programmer) more information that the number 7.
For example, digitalWrite(7, HIGH) doesn't tell you what's attached to pin 7,
but digitalWrite(LED_PIN, HIGH) does (it's an LED!).
*/

#define LED_PIN 7 

int loop_counter = 0;

void setup()
{
    pinMode(LED_PIN, OUTPUT);
    Serial.begin(9600); 
}

void loop()
{
    digitalWrite(LED_PIN, HIGH);
    Serial.println("LED on!");
    delay(1000);
    digitalWrite(LED_PIN, LOW);
    Serial.println("LED off!");
    delay(1000);
    
    loop_counter = loop_counter + 1;
    Serial.print("Loop count = ");
    Serial.print(loop_counter);
}
